# 📖 Create Solutions to the Date Quiz

Implement the following user story:

* As a user, I want to be able to view the correct answers to multiple questions about dates and time.

## Acceptance Criteria

* It's done when every question prompt on the page is correctly answered and displayed in the correct format using Moment.js.

## 📝 Notes

Refer to the following documentation:

[Moment.js Docs](https://momentjs.com/docs/#/displaying/)

**Note**: `Moment.js` has historically been the most popular date/time library, but is now no longer supported by its developers. It is still functional and widely used, which is why we are introducing it through this unit.

## 💡 Hints

* Refer to the official [Moment.js docs on parsing](https://momentjs.com/docs/#/parsing/) to format ISO 8601 strings.

* Follow the instructions provided by the comments in the starter code to format the date that answers the questions and assign them to the declared variable provided.

* Save often and check [index.html](starter/index.html) in your browser to see your progress.

## 🏆 Bonus

If you have completed the activity and want to further your knowledge, work through the following challenge:

* How can we measure the difference between two time stamps with `Moment.js`? Read the [Moment.js Docs](https://momentjs.com/docs/) to research how this works.

---

© 2022 edX Boot Camps LLC. Confidential and Proprietary. All Rights Reserved.